be.fgov.ehealth.commons.core.v2

## Class Status

- java.lang.Object
- - be.fgov.ehealth.commons.core.v2.Status

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:05:47+01:00",
                 comments="JAXB RI v2.3.7")
      public class Status
      extends Object
      implements Serializable

  StatusType of the requests

  Java class for StatusType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StatusType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:be:fgov:ehealth:commons:core:v2}StatusCode"/>
               <element ref="{urn:be:fgov:ehealth:commons:core:v2}StatusMessage" minOccurs="0"/>
               <element ref="{urn:be:fgov:ehealth:commons:core:v2}StatusDetail" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Status()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StatusCode` | `getStatusCode()` Gets the value of the statusCode property.
    `StatusDetail` | `getStatusDetail()` Gets the value of the statusDetail property.
    `String` | `getStatusMessage()` Gets the value of the statusMessage property.
    `void` | `setStatusCode(StatusCode value)` Sets the value of the statusCode property.
    `void` | `setStatusDetail(StatusDetail value)` Sets the value of the statusDetail property.
    `void` | `setStatusMessage(String value)` Sets the value of the statusMessage property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Status

          public Status()

  - ### Method Detail

    - #### getStatusCode

          public StatusCode getStatusCode()

      Gets the value of the statusCode property.
      Returns:
        possible object is `StatusCode`

    - #### setStatusCode

          public void setStatusCode(StatusCode value)

      Sets the value of the statusCode property.
      Parameters:
        `value` - allowed object is `StatusCode`

    - #### getStatusMessage

          public String getStatusMessage()

      Gets the value of the statusMessage property.
      Returns:
        possible object is `String`

    - #### setStatusMessage

          public void setStatusMessage(String value)

      Sets the value of the statusMessage property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStatusDetail

          public StatusDetail getStatusDetail()

      Gets the value of the statusDetail property.
      Returns:
        possible object is `StatusDetail`

    - #### setStatusDetail

          public void setStatusDetail(StatusDetail value)

      Sets the value of the statusDetail property.
      Parameters:
        `value` - allowed object is `StatusDetail`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.